## poco 1.3.6p1-4+deb7u1

=== debian/changelog ===
poco (1.3.6p1-4+deb7u1) wheezy-security; urgency=high

  [Maxime Chatelle]
  * Adds debian/patches/70_fix_CVE-2014-0350.dpatch (Closes: #746637).
    The patch is backported from poco-1.4.7 where the vulnerability
    has been fixed.

  [Jochen Sprickerhof]
  * Add backported patch for CVE-2017-1000472

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 10 Jan 2018 13:11:20 +0100

poco (1.3.6p1-5) unstable; urgency=medium

poco (1.3.6p1-4) unstable; urgency=low

  * Wheezy cleanup release (3): should fix FTBFS on GNU/kFreeBSD for real.
  * debian/patches/60_no_link_dl_rt.dpatch: link against {dl,rt} libraries
    only for Poco Foundation, and both on Linux and kFreeBSD.

 -- Cristian Greco <cristian@debian.org>  Fri, 27 Jul 2012 23:08:20 +0200

poco (1.3.6p1-3) unstable; urgency=low

  * Wheezy cleanup release (2): pull some more fixes from experimental.
  * All FTBFS are fixed now. (Closes: #626088, #650059, #680807)
  * debian/rules:
    - select the right configuration options for GNU/kFreeBSD.
    - drop extra --no-fpenvironment option now that arm is gone.
  * debian/control: fix and expand short and extended descriptions.

 -- Cristian Greco <cristian@debian.org>  Fri, 27 Jul 2012 07:15:34 +0200

poco (1.3.6p1-2) unstable; urgency=low

  * Wheezy cleanup release: pull some patches from the poco version in
    experimental to fix FTBFS and other important problems.
  * debian/patches:
    - 20_ftbfs_gcc47.dpatch: fix FTBFS with gcc-4.7.
    - 30_fix_odbc_makefile.dpatch: use multiarch tuple when detecting
      odbc library path. (Closes: #654238)
    - 40_fix_kfreebsd_ftbfs.dpatch: fix FTBFS on GNU/kFreeBSD.
    - 50_fix_mipsel_endianness.dpatch: correctly detect mipsel
      architecture.
  * debian/rules: don't build the testsuite as we don't actually run it.
  * debian/source/format: dpkg format is 1.0.
  * debian/control:
    - add myself as uploader.
    - remove Krzysztof Burghardt from uploaders. (Closes: #678877)

 -- Cristian Greco <cristian@debian.org>  Thu, 26 Jul 2012 21:26:56 +0200

poco (1.3.6p1-1) unstable; urgency=low

  * New Upstream Version
  * Removed 20_unbundled.dpatch (merged into upstream)
  * Removed 30_sh-support.dpatch (merged into upstream)

 -- Patrick Gansterer <paroga@paroga.com>  Thu, 24 Dec 2009 11:13:32 +0100

poco (1.3.6-1) unstable; urgency=low

  * New Upstream Version
  * Corrected package dependencies (Closes: #545854)
  * Removed 20_gcc44-missing-include.dpatch (merged into upstream)
  * Now using upstream unbundled implementation (Closes: #560936)
    + using r1294 from SVN poco 1.3.6 branch
    + new patch: 20_unbundled.dpatch
    + removed patch: 30_use-system-zlib.dpatch
    + new build dependencies: libpcre3-dev, libsqlite3-dev
  * Added 30_sh-support.dpatch to support sh4 (Closes: #548113)

 -- Patrick Gansterer <paroga@paroga.com>  Thu, 17 Dec 2009 03:07:02 +0100

poco (1.3.5-1) unstable; urgency=low

  * New upstream release.
  * *-dbg packages moved to section debug.
  * 30_crypto-testsuit-missing-libs.dpatch removed.
  * POCO no longer use statically linked zlib:
    + new patch: 30_use-system-zlib.dpatch
    + new build dependency: zlib1g-dev
  * Updated Standards-Version to 3.8.3, no changes needed.

 -- Krzysztof Burghardt <krzysztof@burghardt.pl>  Sun, 30 Aug 2009 19:49:57 +0200

poco (1.3.3p1-2) unstable; urgency=low

  * Fixed FTBFS with GCC 4.4 due to missing #include (Closes: #505619)
  * Renamed 20_gcc43-missing-include.dpatch to 20_gcc44-missing-include.dpatch
  * Downgraded dependencies on -dbg packages (Closes: #504342)

 -- Krzysztof Burghardt <krzysztof@burghardt.pl>  Sat, 15 Nov 2008 11:39:15 +0100

poco (1.3.3p1-1) unstable; urgency=low

  * New upstream release.
  * 30_missing_paltforms.dpatch removed (merged into upstream).
  * libpoco-dev provides, conflicts, replaces libpoco5-dev.

 -- Krzysztof Burghardt <krzysztof@burghardt.pl>  Wed, 29 Oct 2008 18:45:34 +0100

poco (1.3.2+dfsg1-3) unstable; urgency=low

  * Add dpatch 30_missing_paltforms to debian/patches/00list (Closes: #487934)

 -- Krzysztof Burghardt <krzysztof@burghardt.pl>  Thu, 26 Jun 2008 21:29:10 +0200

poco (1.3.2+dfsg1-2) unstable; urgency=low

  * Acknowledge NMU
  * Add dpatch 30_missing_paltforms to support m68k and s390 (Closes: #487934)
  * Suggests libpoco-doc instead of libpoco5-doc (Closes: #487394)
  * Updated Standards-Version to 3.8.0, no changes needed (Closes: #487392)

 -- Krzysztof Burghardt <krzysztof@burghardt.pl>  Wed, 25 Jun 2008 18:38:34 +0200

poco (1.3.2+dfsg1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * libpoco5-dev provides, conflicts, replaces libpoco-dev (Closes: #487353)

 -- George Danchev <danchev@spnet.net>  Sat, 21 Jun 2008 10:05:06 +0000

poco (1.3.2+dfsg1-1) unstable; urgency=low

  * New upstream
  * Acknowledge NMU
  * Upstream tarball repacked to remove non DFSG-free pieces
  * debian/changelog: Homepage: pseudo-header changed to regular field
  * debian/control:
     + Splited POCO into several small packages as all libraries
       and their debug version are about 10MB.
     + Updated Standards-Version: to 3.7.3 (no changes needed)
  * debian/rules:
     + Re-enabled test suite (--no-tests removed)
     + Removed CFLAGS
  * debian/watch: updated to track data branch
  * debian/patches/10_disable-rpath.dpatch: updated for 1.3.2
  * debian/patches/20_gcc43-missing-include.dpatch: replaces all other
    gcc 4.3 patches

 -- Krzysztof Burghardt <krzysztof@burghardt.pl>  Mon, 09 Jun 2008 00:28:50 +0200

poco (1.2.9-2.1) unstable; urgency=low

  * Non-maintainer upload to fix clamfs' FTBFS
  * Added 40_gcc_4.3_missing_include.dpatch to add a missing header
    in Foundation/include/Poco/FIFOStrategy.h (Closes: #455147)
  * Moved Homepage from pseudo field to real field
  * Added a watch file
  * Updated Standards-Version to 3.7.3, no changes needed

 -- Maximiliano Curia <maxy@gnuservers.com.ar>  Fri, 21 Mar 2008 19:29:38 -0300

poco (1.3.0-1) experimental; urgency=low

  * New upstream



## poco 1.3.6p1-5

=== Zip/Makefile ===
#
# Makefile
#
# $Id: //poco/1.3/Zip/Makefile#2 $
#
# Makefile for Poco Zip
#

include $(POCO_BASE)/build/rules/global

objects = AutoDetectStream Compress Decompress ParseCallback PartialStream \
	SkipCallback ZipArchive ZipArchiveInfo ZipDataInfo \
	ZipFileInfo ZipLocalFileHeader ZipStream ZipUtil ZipCommon ZipException \
	Add Delete Keep Rename Replace ZipManipulator ZipOperation

target         = PocoZip
target_version = $(LIBVERSION)
target_libs    = PocoFoundation

include $(POCO_BASE)/build/rules/lib

=== Foundation/samples/BinaryReaderWriter/Makefile ===
#
# Makefile
#
# $Id: //poco/1.3/Foundation/samples/BinaryReaderWriter/Makefile#1 $
#
# Makefile for Poco BinaryReaderWriter
#

include $(POCO_BASE)/build/rules/global

objects = BinaryReaderWriter

target         = BinaryReaderWriter
target_version = 1
target_libs    = PocoFoundation

include $(POCO_BASE)/build/rules/exec

=== Net/samples/HTTPFormServer/Makefile ===
#
# Makefile
#
# $Id: //poco/1.3/Net/samples/HTTPFormServer/Makefile#1 $
#
# Makefile for Poco HTTPFormServer
#

include $(POCO_BASE)/build/rules/global

objects = HTTPFormServer

target         = HTTPFormServer
target_version = 1
target_libs    = PocoUtil PocoNet PocoXML PocoFoundation

include $(POCO_BASE)/build/rules/exec

=== Net/samples/TwitterClient/Makefile ===
#
# Makefile
#
# $Id: //poco/1.3/Net/samples/TwitterClient/Makefile#1 $
#
# Makefile for Poco Twitter Client
#

include $(POCO_BASE)/build/rules/global

objects = Twitter TweetApp

target         = tweet
target_version = 1
target_libs    = PocoUtil PocoNet PocoXML PocoFoundation

include $(POCO_BASE)/build/rules/exec

=== XML/samples/DOMWriter/Makefile ===
#
# Makefile
#
# $Id: //poco/1.3/XML/samples/DOMWriter/Makefile#1 $
#
# Makefile for Poco DOMWriter
#

include $(POCO_BASE)/build/rules/global

objects = DOMWriter

target         = DOMWriter
target_version = 1
target_libs    = PocoXML PocoFoundation

include $(POCO_BASE)/build/rules/exec

=== Zip/samples/unzip/Makefile ===
#
# Makefile
#
# $Id: //poco/1.3/Zip/samples/unzip/Makefile#1 $
#
# Makefile for Poco SampleServer
#

include $(POCO_BASE)/build/rules/global

objects = unzip

target         = unzip
target_version = 1
target_libs    = PocoZip PocoUtil PocoXML PocoFoundation

include $(POCO_BASE)/build/rules/exec

=== debian/control ===
Source: poco
Priority: optional
Maintainer: Cristian Greco <cristian@debian.org>
Uploaders: Patrick Gansterer <paroga@paroga.com>, Maxime Chatelle <xakz@rxsoft.eu>
Build-Depends: debhelper (>= 5), dpatch, libexpat1-dev, libmysqlclient-dev, libpcre3-dev (>= 7.8), libsqlite3-dev (>= 3.6.13), libssl-dev (>= 0.9.8), unixodbc-dev, zlib1g-dev
Standards-Version: 3.8.3
Section: libs
Homepage: http://poco.sourceforge.net/
Vcs-Browser: http://git.debian.org/?p=collab-maint/poco.git
Vcs-Git: git://git.debian.org/git/collab-maint/poco.git

Package: libpoco-dev
Section: libdevel
Architecture: any
Depends: libpococrypto9 (= ${binary:Version}), libpocodata9 (= ${binary:Version}), libpocofoundation9 (= ${binary:Version}), libpocomysql9 (= ${binary:Version}), libpoconet9 (= ${binary:Version}), libpoconetssl9 (= ${binary:Version}), libpocoodbc9 (= ${binary:Version}), libpocosqlite9 (= ${binary:Version}), libpocoutil9 (= ${binary:Version}), libpocoxml9 (= ${binary:Version}), libpocozip9 (= ${binary:Version})
Suggests: libpoco-doc, libpococrypto9-dbg (= ${binary:Version}), libpocodata9-dbg (= ${binary:Version}), libpocofoundation9-dbg (= ${binary:Version}), libpocomysql9-dbg (= ${binary:Version}), libpoconet9-dbg (= ${binary:Version}), libpoconetssl9-dbg (= ${binary:Version}), libpocoodbc9-dbg (= ${binary:Version}), libpocosqlite9-dbg (= ${binary:Version}), libpocoutil9-dbg (= ${binary:Version}), libpocoxml9-dbg (= ${binary:Version}), libpocozip9-dbg (= ${binary:Version})
Provides: libpoco5-dev
Conflicts: libpoco5-dev
Replaces: libpoco5-dev
Description: C++ Portable Components (POCO) Development files
 The POCO C++ Libraries are a collection of open source C++ class libraries
 that simplify and accelerate the development of network-centric, portable
 applications in C++. The libraries integrate perfectly with the C++ Standard
 Library and fill many of the functional gaps left open by it.
 .
 POCO is built strictly using standard ANSI/ISO C++, including the standard
 library. The contributors attempt to find a good balance between using advanced
 C++ features and keeping the classes comprehensible and the code clean,
 consistent and easy to maintain.
 .
 POCO consists of four core libraries, and a number of add-on libraries. The
 core libraries are Foundation, XML, Util and Net. Two of the add-on libraries
 are NetSSL, providing SSL support for the network classes in the Net library,
 and Data, a library for uniformly accessing different SQL databases.

Package: libpococrypto9-dbg
Priority: extra
Section: debug
Architecture: any
Depends: libpococrypto9 (= ${binary:Version}), libpocofoundation9-dbg (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: C++ Portable Components (POCO) Crypto library (debug version)
 The POCO C++ Libraries are a collection of open source C++ class libraries
 that simplify and accelerate the development of network-centric, portable
 applications in C++. The libraries integrate perfectly with the C++ Standard
 Library and fill many of the functional gaps left open by it.
 .
 POCO is built strictly using standard ANSI/ISO C++, including the standard
 library. The contributors attempt to find a good balance between using advanced
 C++ features and keeping the classes comprehensible and the code clean,
 consistent and easy to maintain.
 .
 This package provides the debug version of the POCO Crypto library.

Package: libpococrypto9
Architecture: any
Depends: libpocofoundation9 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: C++ Portable Components (POCO) Crypto library
 The POCO C++ Libraries are a collection of open source C++ class libraries
 that simplify and accelerate the development of network-centric, portable
 applications in C++. The libraries integrate perfectly with the C++ Standard
 Library and fill many of the functional gaps left open by it.
 .
 POCO is built strictly using standard ANSI/ISO C++, including the standard
 library. The contributors attempt to find a good balance between using advanced
 C++ features and keeping the classes comprehensible and the code clean,
 consistent and easy to maintain.
 .
 This package provides the POCO Crypto library.

Package: libpocodata9-dbg
Priority: extra
Section: debug
Architecture: any
Depends: libpocodata9 (= ${binary:Version}), libpocofoundation9-dbg (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: C++ Portable Components (POCO) Data library (debug version)
 The POCO C++ Libraries are a collection of open source C++ class libraries
 that simplify and accelerate the development of network-centric, portable
 applications in C++. The libraries integrate perfectly with the C++ Standard
 Library and fill many of the functional gaps left open by it.
 .
 POCO is built strictly using standard ANSI/ISO C++, including the standard
 library. The contributors attempt to find a good balance between using advanced
 C++ features and keeping the classes comprehensible and the code clean,
 consistent and easy to maintain.
 .
 This package provides the debug version of the POCO Data library.

Package: libpocodata9
Architecture: any
Depends: libpocofoundation9 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: C++ Portable Components (POCO) Data library
 The POCO C++ Libraries are a collection of open source C++ class libraries
 that simplify and accelerate the development of network-centric, portable
 applications in C++. The libraries integrate perfectly with the C++ Standard
 Library and fill many of the functional gaps left open by it.
 .
 POCO is built strictly using standard ANSI/ISO C++, including the standard
 library. The contributors attempt to find a good balance between using advanced
 C++ features and keeping the classes comprehensible and the code clean,
 consistent and easy to maintain.
 .
 This package provides the POCO Data library.

Package: libpocofoundation9-dbg
Priority: extra
Section: debug
Architecture: any
Depends: libpocofoundation9 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: C++ Portable Components (POCO) Foundation library (debug version)
 The POCO C++ Libraries are a collection of open source C++ class libraries
 that simplify and accelerate the development of network-centric, portable
 applications in C++. The libraries integrate perfectly with the C++ Standard
 Library and fill many of the functional gaps left open by it.
 .
 POCO is built strictly using standard ANSI/ISO C++, including the standard
 library. The contributors attempt to find a good balance between using advanced
 C++ features and keeping the classes comprehensible and the code clean,
 consistent and easy to maintain.
 .
 This package provides the debug version of POCO Foundation library.

Package: libpocofoundation9
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: C++ Portable Components (POCO) Foundation library
 The POCO C++ Libraries are a collection of open source C++ class libraries
 that simplify and accelerate the development of network-centric, portable
 applications in C++. The libraries integrate perfectly with the C++ Standard
 Library and fill many of the functional gaps left open by it.
 .
 POCO is built strictly using standard ANSI/ISO C++, including the standard
 library. The contributors attempt to find a good balance between using advanced
 C++ features and keeping the classes comprehensible and the code clean,
 consistent and easy to maintain.
 .
 This package provides the POCO Foundation library.

Package: libpocomysql9-dbg
Priority: extra
Section: debug
Architecture: any
Depends: libpocomysql9 (= ${binary:Version}), libpocofoundation9-dbg (= ${binary:Version}), libpocodata9-dbg (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: C++ Portable Components (POCO) MySQL library (debug version)
 The POCO C++ Libraries are a collection of open source C++ class libraries
 that simplify and accelerate the development of network-centric, portable
 applications in C++. The libraries integrate perfectly with the C++ Standard
 Library and fill many of the functional gaps left open by it.
 .
 POCO is built strictly using standard ANSI/ISO C++, including the standard
 library. The contributors attempt to find a good balance between using advanced
 C++ features and keeping the classes comprehensible and the code clean,
 consistent and easy to maintain.
 .
 This package provides the debug version of the POCO MySQL library.

Package: libpocomysql9
Architecture: any
Depends: libpocofoundation9 (= ${binary:Version}), libpocodata9 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: C++ Portable Components (POCO) MySQL library
 The POCO C++ Libraries are a collection of open source C++ class libraries
 that simplify and accelerate the development of network-centric, portable
 applications in C++. The libraries integrate perfectly with the C++ Standard
 Library and fill many of the functional gaps left open by it.
 .
 POCO is built strictly using standard ANSI/ISO C++, including the standard
 library. The contributors attempt to find a good balance between using advanced
 C++ features and keeping the classes comprehensible and the code clean,
 consistent and easy to maintain.
 .
 This package provides the POCO MySQL library.

Package: libpoconet9-dbg
Priority: extra
Section: debug
Architecture: any
Depends: libpoconet9 (= ${binary:Version}), libpocofoundation9-dbg (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: C++ Portable Components (POCO) Network library (debug version)
 The POCO C++ Libraries are a collection of open source C++ class libraries
 that simplify and accelerate the development of network-centric, portable
 applications in C++. The libraries integrate perfectly with the C++ Standard
 Library and fill many of the functional gaps left open by it.
 .
 POCO is built strictly using standard ANSI/ISO C++, including the standard
 library. The contributors attempt to find a good balance between using advanced
 C++ features and keeping the classes comprehensible and the code clean,
 consistent and easy to maintain.
 .
 This package provides the debug version of POCO Network library.

Package: libpoconet9
Architecture: any
Depends: libpocofoundation9 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: C++ Portable Components (POCO) Network library
 The POCO C++ Libraries are a collection of open source C++ class libraries
 that simplify and accelerate the development of network-centric, portable
 applications in C++. The libraries integrate perfectly with the C++ Standard
 Library and fill many of the functional gaps left open by it.
 .
 POCO is built strictly using standard ANSI/ISO C++, including the standard
 library. The contributors attempt to find a good balance between using advanced
 C++ features and keeping the classes comprehensible and the code clean,
 consistent and easy to maintain.
 .
 This package provides the POCO Network library.

Package: libpoconetssl9-dbg
Priority: extra
Section: debug
Architecture: any
Depends: libpoconetssl9 (= ${binary:Version}), libpocofoundation9-dbg (= ${binary:Version}), libpococrypto9-dbg (= ${binary:Version}), libpoconet9-dbg (= ${binary:Version}), libpocoutil9-dbg (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: C++ Portable Components (POCO) Network library with SSL (debug version)
 The POCO C++ Libraries are a collection of open source C++ class libraries
 that simplify and accelerate the development of network-centric, portable
 applications in C++. The libraries integrate perfectly with the C++ Standard
 Library and fill many of the functional gaps left open by it.
 .
 POCO is built strictly using standard ANSI/ISO C++, including the standard
 library. The contributors attempt to find a good balance between using advanced
 C++ features and keeping the classes comprehensible and the code clean,
 consistent and easy to maintain.
 .

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Include dpatch
include /usr/share/dpatch/dpatch.make

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_ARCH_OS    ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

CONFFLAGS := --prefix=/usr --no-samples --no-tests --unbundled

ifeq ($(DEB_HOST_ARCH_OS),linux)
  CONFFLAGS += --config=Linux
else ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
  CONFFLAGS += --config=FreeBSD
endif

config.status: patch configure
	dh_testdir
	./configure $(CONFFLAGS)

build: build-stamp
build-stamp: config.status
	dh_testdir
	mkdir -p libs
	$(MAKE)
	touch $@

clean: clean-patched unpatch
clean-patched:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	$(MAKE) distclean
	rm -f config.make
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs CHANGELOG
	dh_installdocs
	dh_install --sourcedir=debian/tmp
# generate lintian overrides for -dbg packages
	( cd debian ; for i in *-dbg/usr/lib/*.so.* ; do override=`echo $$i | sed 's|/usr/lib/|: package-name-doesnt-match-sonames |' | sed 's/\.so\.//'` ; pkg=`echo $$i | sed 's|/usr/.*||'` ; dir=`echo $$pkg/usr/share/lintian/overrides` ; mkdir -p $$dir ; file=$$dir/$$pkg ; echo $$override > $$file ; done )
# remove Mac OS X related files (.DS_Store and ._.DS_Store)
	rm -f debian/libpoco-dev/usr/include/Poco/.DS_Store debian/libpoco-dev/usr/include/Poco/._.DS_Store
	dh_link
	dh_strip -k
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
version=3
http://sf.net/poco/poco-(.*)-all\.tar\.gz

## poco 1.3.6p1-5+deb8u1

=== debian/changelog ===
poco (1.3.6p1-5+deb8u1) jessie-security; urgency=high

  * Add backported patch for CVE-2017-1000472

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 09 Jan 2018 21:29:21 +0100

## poco 1.4.2p1

=== debian/changelog ===
poco (1.4.2p1-6) experimental; urgency=low

  * debian/rules: build testsuite with hardening flags disabled (seems
    to require a lot of memory).
  * Revert "no-link-dl-rt.patch: drop patch, now unneeded."
    Revert the patch because -ldl and -lrt are needed on FreeBSD.
    This should really be handled by upstream in build/config/FreeBSD.

 -- Cristian Greco <cristian@debian.org>  Fri, 23 Dec 2011 15:21:51 +0100

poco (1.4.2p1-5) experimental; urgency=low

  * debian/testrunner.sh:
    - fix detection of libs directory.
    - copy some more files needed by the Foundation testsuite.
    - disable Net testsuite because there are some tests failing randomly.
  * debian/rules: append --as-needed to LDFLAGS.
  * debian/patches:
    - honor-buildflags.patch: new patch, let the build system honor flags
      obtained through dpkg-buildflags.
    - no-link-dl-rt.patch: drop patch, now unneeded.

 -- Cristian Greco <cristian@debian.org>  Fri, 23 Dec 2011 00:44:24 +0100

poco (1.4.2p1-4) experimental; urgency=low

  * debian/rules:
    - enable selected tests using a testrunner.sh script.
    - enable default hardening options from dpkg-buildflags.

 -- Cristian Greco <cristian@debian.org>  Wed, 21 Dec 2011 17:02:18 +0100

poco (1.4.2p1-3) experimental; urgency=low

  * debian/patches:
    - no-link-dl-rt.patch: updated to work also for kFreeBSD.
    - fix-kfreebsd-ftbfs.patch: new patch, fix build failure on kFreeBSD.
  * debian/control: expanded extended descriptions.
  * Do not install empty NEWS file in libpoco.dev.

 -- Cristian Greco <cristian@debian.org>  Wed, 09 Nov 2011 17:35:12 +0100

poco (1.4.2p1-2) experimental; urgency=low

  * debian/patches:
    - 10_disable-rpath.patch: renamed to disable-rpath.patch, refreshed
      and added information.
    - no-debug-build.patch: do not build libraries in debug mode, either
      shared or static.
    - no-strip-release-build.patch: do not strip libraries built in release
      mode by default, let dh_strip to the job instead.
    - no-link-dl-rt.patch: link only Foundation library against dl/rt libs
      on Linux.
  * debian/rules:
    - strip release libraries in their corrisponding -dbg packages and drop
      lintian overrides.
    - select the right configuration options for kfreebsd, trying to fix
      the FTBFS.
    - drop now useless command to remove hidden files.
  * debian/control: adjust dependencies for -dbg packages.

 -- Cristian Greco <cristian@debian.org>  Sun, 06 Nov 2011 13:27:26 +0100

poco (1.4.2p1-1) experimental; urgency=low

  [ Patrick Gansterer ]
  * New Upstream Version (Closes: #612360)
    - Upload to experimental.

  [ Cristian Greco ]
  * Convert package to source format 3.0 (quilt).
  * Switch to debhelper compatibility level 8 and reduce debian/rules
    in size. Also enable parallel build.
  * fix-odbc-makefile.patch: new patch, use multiarch tuple when detecting
    odbc library path. (Closes: #642733)
  * debian/rules: don't build the testsuite as we are not running it anyway.
  * debian/control:
    - fix lintian warnings about short descriptions.
    - add misc:Depends to libpoco-dev.
    - add myself to Uploaders.
  * debian/watch: track the .bz2 archive.

 -- Cristian Greco <cristian@debian.org>  Wed, 20 Oct 2011 00:46:53 +0200

poco (1.3.6p2-1) unstable; urgency=low

  * New Upstream Version

 -- Patrick Gansterer <paroga@paroga.com>  Sun, 24 Jan 2010 18:25:59 +0100

=== debian/rules ===
#!/usr/bin/make -f


DPKG_EXPORT_BUILDFLAGS = 1
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
include /usr/share/dpkg/buildflags.mk

CONFFLAGS = --prefix=/usr --no-samples --no-tests --unbundled
CONFFLAGS_TESTS = $(filter-out --no-tests, $(CONFFLAGS))

# On ARM define POCO_NO_FPENVIRONMENT
ifeq ($(shell dpkg --print-architecture),arm)
CONFFLAGS += --no-fpenvironment
endif

ifeq ($(DEB_HOST_ARCH_OS),linux)
	CONFFLAGS += --config=Linux
else ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
	CONFFLAGS += --config=FreeBSD
endif

POCO_LIBS = $(shell dh_listpackages | grep dbg | sed -e 's/-dbg//')


%:
	dh $@ --parallel

override_dh_auto_configure:
	./configure $(CONFFLAGS_TESTS)
	# save config file with tests enabled for later use
	mv config.make config.make.tests
	./configure $(CONFFLAGS)

override_dh_auto_build:
	dh_auto_build
	# build tests with hardening flags disabled
	mv config.make.tests config.make
	dh_auto_build -- CFLAGS= CPPFLAGS= CXXFLAGS=

override_dh_auto_test:
	./debian/testrunner.sh

override_dh_strip-%:
	dh_strip -p$* --dbg-package=$*-dbg

override_dh_strip: $(POCO_LIBS:%=override_dh_strip-%)

=== debian/watch ===
version=3
http://sf.net/poco/poco-(.*)-all\.tar\.bz2
